| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Search for tracks in your DISCO or within one of your libraries by keyword and tags.
- keyword: searches across all track information, including metadata, custom fields and lyrics.
- library id: you can narrow your search to only return tracks from one of your DISCO libraries (now known as catalogs).
- tags: filter search to only return tracks that match all of the tags.
- time: use modified_after/before/at or created_after/before/at to find tracks based on a timestamp
- empty_external_id: tracks with missing external_ids
- return_inbox_tracks: set to true by default. If you want to not return tracks that are only in inboxes and haven't been imported into your DISCO, set to false
Where can I find my Library ID?
Note: DISCO Libraries were renamed "Catalogs" recently.
You can find the library_id when you are viewing your Catalog in your browser, either within DISCO or on the public site.
For example, the ID of a catalog at this URL <https://example.disco.ac/cat/3267> is 3267.
What is the search logic? Searching by multiple query parameters is an AND search. Searching by the default example of this page would return all tracks that:
- are in the catalog (library) with the id
3267; AND - have the term
vagabondin the metadata; AND - are tagged
positiveANDindie
Pagination
Each response includes a next URL. Request it exactly as returned, with no changes or added offset, and repeat until next is null. This returns every track in the business, without the 10,000 track limit enforced by offset.
